RubyGems Navigation menu

rubocop 0.40.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.65.0 - July 10, 2024 (628 KB)
  2. 1.64.1 - May 31, 2024 (626 KB)
  3. 1.64.0 - May 23, 2024 (626 KB)
  4. 1.63.5 - May 09, 2024 (623 KB)
  5. 1.63.4 - April 28, 2024 (623 KB)
  6. 0.40.0 - May 09, 2016 (251 KB)
Show all versions (274 total)

Runtime Dependencies (5):

parser < 3.0, >= 2.3.1.0
powerpack ~> 0.1
rainbow < 3.0, >= 1.99.1
unicode-display_width >= 1.0.1, ~> 1.0

Development Dependencies (1):

bundler ~> 1.3

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 438,593,748

For this version 1,506,805

License:

MIT

Required Ruby Version: >= 1.9.3

New versions require MFA: true

Links: